Orvelt

Update embedded form settings

PUT
/project/{projectId}/embed

Update the project's embedded opinion form settings. An empty origin list allows every website.

Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.

Authorization

cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Path Parameters

projectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json
  1. body
origins?array<>
Itemsitems <= 10
hideBranding?boolean

Response Body

OK

application/json
  1. response
projectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
url*string
Formaturi
origins*array<unknown>
Itemsitems <= 10
hideBranding*boolean
canRemoveBranding*boolean
Example Request
curl -X PUT 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/embed' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
  "url": "http://example.com",
  "origins": [
    null
  ],
  "hideBranding": true,
  "canRemoveBranding": true
}